#!/bin/sh -e

PACKAGE="hellogettext"
VERSION="0.1"
DIR="locale"

COMMONS="--package-name=$PACKAGE --package-version=$VERSION"
LANGUAGES="it_IT fr_FR de_DE"

PDIR="$DIR/$PACKAGE"
if [ ! -d "$PDIR" ]; then
    mkdir -p "$PDIR"
fi

xgettext -p"$PDIR" -o"${PACKAGE}.pot" $COMMONS "$@"
for L in $LANGUAGES;
do
    PO="${L}.po"
    if [ -f "$PDIR/$PO" ]; then
        xgettext -p"$PDIR" -o"$PO" -j $COMMONS "$@"
    else
        xgettext -p"$PDIR" -o"$PO" $COMMONS "$@"
    fi
done
